List webhook delivery history
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/history \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "<string>",
"eventType": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "<string>",
"subjectId": "<string>",
"payload": {},
"status": "success",
"attemptNumber": 1,
"willRetry": true,
"sentAt": "2023-11-07T05:31:56Z",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseStatus": 123,
"error": "<string>",
"durationMs": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"terminalReason": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Webhooks
List webhook delivery history
List webhook delivery history
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/history \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "<string>",
"eventType": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "<string>",
"subjectId": "<string>",
"payload": {},
"status": "success",
"attemptNumber": 1,
"willRetry": true,
"sentAt": "2023-11-07T05:31:56Z",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseStatus": 123,
"error": "<string>",
"durationMs": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"terminalReason": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Query Parameters
Required range:
1 <= x <= 200Example:
50